Package ru.bitel.oss.systems.inventory.product.common.bean

# Class ProductOfferingActivationMode

java.lang.Object
ru.bitel.oss.systems.inventory.product.common.bean.ProductOfferingActivationMode

All Implemented Interfaces:
  `GuiTitlable`

    public class ProductOfferingActivationMode
    extends java.lang.Object
    implements GuiTitlable

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProductOfferingActivationMode()` |
  `ProductOfferingActivationMode​(ProductSpecActivationMode productSpecActivationMode, java.math.BigDecimal price)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getActivationPrice()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `int` | `getPeriodAmount()` |
  `int` | `getPeriodMode()` |
  `java.math.BigDecimal` | `getPrice()` |
  `java.lang.String` | `getPricePeriodString()` |
  `java.lang.String` | `getPriceString()` |
  `ProductSpecActivationMode` | `getProductSpecActivationMode()` |
  `void` | `setActivationPrice​(java.math.BigDecimal activationPrice)` |
  `void` | `setPeriodAmount​(int periodAmount)` |
  `void` | `setPeriodMode​(int periodMode)` |
  `void` | `setPrice​(java.math.BigDecimal price)` |
  `void` | `setPricePeriodString​(java.lang.String nil)` |
  `void` | `setPriceString​(java.lang.String String)` |
  `void` | `setProductSpecActivationMode​(ProductSpecActivationMode productSpecActivationMode)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductOfferingActivationMode

    public ProductOfferingActivationMode()

  - ### ProductOfferingActivationMode

    public ProductOfferingActivationMode​(ProductSpecActivationMode productSpecActivationMode, java.math.BigDecimal price)

- ## Method Details

  - ### getProductSpecActivationMode

    public ProductSpecActivationMode getProductSpecActivationMode()

  - ### setProductSpecActivationMode

    public void setProductSpecActivationMode​(ProductSpecActivationMode productSpecActivationMode)

  - ### getActivationPrice

    public java.math.BigDecimal getActivationPrice()

  - ### setActivationPrice

    public void setActivationPrice​(java.math.BigDecimal activationPrice)

  - ### getPeriodMode

    public int getPeriodMode()

  - ### setPeriodMode

    public void setPeriodMode​(int periodMode)

  - ### getPeriodAmount

    public int getPeriodAmount()

  - ### setPeriodAmount

    public void setPeriodAmount​(int periodAmount)

  - ### getPrice

    public java.math.BigDecimal getPrice()

  - ### setPrice

    public void setPrice​(java.math.BigDecimal price)

  - ### setPriceString

    public void setPriceString​(java.lang.String String)

  - ### getPriceString

    public java.lang.String getPriceString()

  - ### getPricePeriodString

    public java.lang.String getPricePeriodString()

  - ### setPricePeriodString

    public void setPricePeriodString​(java.lang.String nil)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.